Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet
Class HttpHeaderUtils

    java.lang.Object
      com.ejie.r01f.servlet.HttpHeaderUtils

public class HttpHeaderUtils
extends java.lang.Object

Clase de ayuda para operaciones con la cabecera Http

Constructor Summary
`HttpHeaderUtils()`

Method Summary
`static java.lang.String` | `encodeCookie(javax.servlet.http.Cookie cookie)` Codifica la cookie como se especifica en el RFC 2109.
`static java.lang.String` | `parseCharacterEncoding(java.lang.String contentType)` Parsear la cabecera HTTP `charset`.
`static javax.servlet.http.Cookie[]` | `parseCookieHeader(java.lang.String header)` Parsea una cabecera `Cookie` en un array de cookies que siguen la especificación RFC 2109

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpHeaderUtils

    public HttpHeaderUtils()

Method Detail

### encodeCookie

    public static java.lang.String encodeCookie(javax.servlet.http.Cookie cookie)

  Codifica la cookie como se especifica en el RFC 2109. El string resultante puede ser utilizado en la cabecera `Set-Cookie`

  Parameters:
    `cookie` - La cookie a codificar
  Returns:
    la cookie codificada en el estandar RFC 2109.

### parseCookieHeader

    public static javax.servlet.http.Cookie[] parseCookieHeader(java.lang.String header)

  Parsea una cabecera `Cookie` en un array de cookies que siguen la especificación RFC 2109

  Parameters:
    `header` - Valor de la cabecera HTTP "Cookie"

### parseCharacterEncoding

    public static java.lang.String parseCharacterEncoding(java.lang.String contentType)

  Parsear la cabecera HTTP `charset`. Si la no se se ha especificado codificación se devuelve `null`

  Parameters:
    `contentType` - la cabecera http `charset`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD